MUSICXML2LY(1)

NAME
musicxml2ly - manual page for musicxml2ly (LilyPond) 2.26.0

SYNOPSIS
musicxml2ly [OPTION]... FILE

DESCRIPTION
Convert FILE with MusicXML data to a LilyPond input file.

By default, the output file is called 'FILE.ly' for input file 'FILE.xml'. If FILE is '-', read from standard input (and write to standard output).

If FILE cannot be found, 'FILE.xml', 'FILE.musicxml', and 'FILE.mxl' are also tried as input files.

OPTIONS

-h, --help
    show this help and exit

--version
    show version number and exit

-v, --verbose
    be verbose

--lxml
    obsolete

-z, --compressed
    input file is a compressed MusicXML file (by default, activate if file extension is .mxl)

-r, --relative
    convert pitches in relative mode (default)

-a, --absolute
    convert pitches in absolute mode

-l, --language=LANG
    use LANG for pitch names, e.g., 'deutsch' for note names in German

--loglevel=LOGLEVEL
    Print log messages according to LOGLEVEL (NONE, ERROR, WARN, PROGRESS (default), DEBUG)

--oe, --ottavas-end-early=t[rue]/f[alse]
    expect <octave-shift> end elements before the associated <note> (as in Finale). Default is f[alse]

--nd, --no-articulation-directions
    do not convert directions (^, _ or -) for articulations, dynamics, etc.

--nrp, --no-rest-positions
    do not convert exact vertical positions of rests

--nsb, --no-system-breaks
    ignore system breaks

--npb, --no-page-breaks
    ignore page breaks

--npm, --no-page-margins
    ignore page margins

--npl, --no-page-layout
    do not convert the exact page layout and breaks (shortcut for "--nsb --npb --npm" options)

--nsd, --no-stem-directions
    ignore stem directions from MusicXML, use lilypond's automatic stemming instead

--ds, --dynamics-scale=FACTOR
    scale <dynamics> elements by a non-negative FACTOR; value 0 means to use lilypond's standard size for dynamics

--afs, --absolute-font-sizes
    use absolute font sizes in markup (default is to use font sizes based on score size)

--nb, --no-beaming
    do not convert beaming information, use lilypond's automatic beaming instead

-o, --output=FILE
    set output filename to FILE, stdout if -

-m, --midi
    activate midi-block in .ly file

--cp, --credit-page=N
    use <credit> information from page N to fill the fields of the \header block. Default is value 1

--transpose=TOPITCH
    set pitch to transpose by the interval between pitch 'c' and TOPITCH

--sd, --shift-durations=VALUE
    shift durations and time signatures by VALUE; for example, value -1 doubles all durations, and value 1 halves them

--sm, --shift-meter=BEATS/BEATTYPE
    ignored; use `--shift-duration` instead

--tc, --tab-clef=TABCLEFNAME
    switch between two versions of tab clefs ("tab" and "moderntab")

--sn, --string-numbers=t[rue]/f[alse]
    control output of string numbers; value f[alse] disables them. Default is t[rue]

--fb, --fretboards
    convert '<frame>' events to a separate FretBoards voice instead of markups

--book
    put top-level score into '\book'

--nt, --no-tagline
    don't emit a LilyPond tagline

REPORTING BUGS
Report bugs via bug-lilypond@gnu.org

COPYRIGHT
Copyright © 2005--2026 by

    Han-Wen Nienhuys <hanwen@xs4all.nl>, Jan Nieuwenhuizen <janneke@gnu.org>, Reinhold Kainhofer <reinhold@kainhofer.com>, Patrick L. Schmidt <pls@philomelos.net>, and Werner Lemberg <wl@gnu.org>

This program is free software. It is covered by the GNU General Public License and you are welcome to change it and/or distribute copies of it under certain conditions. Invoke as `lilypond --warranty' for more information.

SEE ALSO
The full documentation for musicxml2ly is maintained as a Texinfo manual. If the info and musicxml2ly programs are properly installed at your site, the command

    info musicxml2ly

should give you access to the complete manual.